Create Leadform Audience
curl --request POST \
--url https://public.plai.io/meta/create_leadform_audience \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"leadFormIds": [
"<string>"
]
}
'import requests
url = "https://public.plai.io/meta/create_leadform_audience"
payload = {
"userId": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"leadFormIds": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
name: '<string>',
description: '<string>',
type: '<string>',
leadFormIds: ['<string>']
})
};
fetch('https://public.plai.io/meta/create_leadform_audience', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"audience": {
"id": "<string>",
"name": "<string>"
},
"error": "<string>"
}
}Audience
Create Leadform Audience
This endpoint allows you to create a custom audience based on users who have interacted with your Facebook Lead Forms. It helps advertisers retarget users who have shown interest by submitting a lead form or engaging with lead ads.
POST
/
meta
/
create_leadform_audience
Create Leadform Audience
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
string
required
Audience Name
string
required
Audience description
string
required
Type =
open or close or submitstring[]
required
Lead Form Ids
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).